Page MenuHomePhabricator

Requesting access to elasticsearch-roots
Closed, ResolvedPublic

Description

I'm starting to dive deeper into our search systems.

Details:

  • group: "elasticsearch-roots"
  • username: "tomasz"
  • hosts: elastic{01..31}.eqiad.wmnet
  • Rationale: As part of the discovery department owning search I want to make sure I can respond to production issues when they happen like the other search engineers. This will help increase the bus factor of the team. Please let know if you need anything else.

@Wwes, can you approve?

Event Timeline

Tfinc raised the priority of this task from to Needs Triage.
Tfinc updated the task description. (Show Details)
Tfinc added a project: SRE-Access-Requests.
Tfinc added subscribers: Tfinc, Wwes.
Restricted Application added a project: acl*sre-team. · View Herald TranscriptSep 3 2015, 11:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 11:37 AM
jcrespo triaged this task as Normal priority.Sep 7 2015, 11:14 AM
jcrespo added a subscriber: jcrespo.
jcrespo closed this task as Declined.Sep 8 2015, 6:44 PM
jcrespo claimed this task.

The result of the ops meeting was that this request was unclear, and that a more clear and detailed request should be done in order to be approved. Please reopen the ticket or create a new one with further information of the exact group/permissions requested, servers, username and a reason justifying that.

Krenair added a subscriber: Krenair.Sep 8 2015, 6:44 PM
Legoktm added a subscriber: Legoktm.Sep 8 2015, 6:47 PM
mark reopened this task as Open.Sep 8 2015, 6:50 PM
mark added a subscriber: mark.

@jcrespo: indeed we said we wanted a bit more information/justification as it was a rather vague request, but I think that's fine to do on this ticket, is it not? :)

@mark, of course, that is why I said "Please reopen the ticket".

Happy to summarize

group: "elasticsearch-roots"
username: "tomasz"
hosts: elastic{01..31}.eqiad.wmnet

As part of the discovery department owning search I want to make sure I can respond to production issues when they happen like the other search engineers. This will help increase the bus factor of the team. Please let know if you need anything else.

thanks @jcrespo @mark

jcrespo updated the task description. (Show Details)Sep 8 2015, 7:07 PM
jcrespo set Security to None.
jcrespo removed jcrespo as the assignee of this task.Sep 8 2015, 7:34 PM
Dzahn claimed this task.Sep 14 2015, 8:04 PM

Change 238301 had a related patch set uploaded (by Dzahn):
admins: add tfinc to elasticsearch-roots

https://gerrit.wikimedia.org/r/238301

@Dzahn, looks like you this patch set adds "tfinc" instead of "tomasz" I'd mention that in CR but gerrit is not letting me in

Dzahn added a comment.Sep 14 2015, 8:18 PM

@Tfinc ah, thanks, fixed! Do we need to investigate the Gerrit issue?

Change 238301 merged by Dzahn:
admins: add Tomasz Finc to elasticsearch-roots

https://gerrit.wikimedia.org/r/238301

Gerrit should be letting you in using your wikitech credentials. It's working for me...

Dzahn added a comment.Sep 14 2015, 8:22 PM

Approved in ops meeting today.

Merged.

Dzahn added a comment.Sep 14 2015, 8:27 PM

@Tfinc i saw puppet add your user on elastic1001 and 1002. The other 2 will just follow automatically. Since you already have a shell user and bastion access this should be all done. Let us know if any unexpected issues.

Dzahn closed this task as Resolved.Sep 14 2015, 8:28 PM

@elastic1001:~# id tomasz
uid=1155(tomasz) gid=500(wikidev) groups=500(wikidev),709(elasticsearch-roots)